Android 开发:如何优雅引入 Java 8 Stream API

Java 8 的更新给我们带来了很多新的特性,例如 Stream API 等等,但是在 Android 开发中使用 Java 8 的这些 API 时,通常 Android Studio 会提示如下错误:

Call requires API level 24(current min is xx)

意思是说在 Android API 24 版本(Android 7.0)以上时才能使用这些方法,但是通常我们的 APP 是不会将最低版本升到这么高的。那么我们就无法使用这些特性了吗?

答案是可以的!下面推荐一个开源库:streamsupport

在项目的 build.gradle 文件里加入如下依赖来引入这个库:

implementation 'net.sourceforge.streamsupport:streamsupport:1.7.1'

这样在项目里就可以使用 Java 8 甚至 Java 9 的新特性啦!

在使用该库时,请使用 java8.utiljava8.lang 这两个包下的代码。

该库支持如下特性:

  • 支持 Java 8 / Java 9 Streams 库;
  • 支持 Java 8 / Java 9 CompletableFuture 库;
  • 支持 Java 8 Parallel 数组操作;
  • 支持 Java 8 函数接口;
  • java.util.concurrent 并发包下进行更多的扩展;
  • 包含 Java 8 / Java 9 更多常用的扩展,例如 Optional 等等。

该库支持 Android 4.0 及以上版本,已经满足大部分开发者的需要了,所以尽情地去享用吧!

最后,欢迎加我微信 jimmysun8388 一起交流学习!

加好友时请注明申请理由,例如「姓名/昵称 + Android 交流」,示例:张三 Android 交流。

推荐阅读更多精彩内容